"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.twitter = twitter;
exports.opengraph = opengraph;
function twitter(title, description, image, conf) {
  return [React.createElement("meta", { name: "twitter:card", content: "summary" }), React.createElement("meta", { property: "twitter:site", content: conf['twitter:site'] }), React.createElement("meta", { property: "twitter:creator", content: conf['twitter:creator'] }), React.createElement("meta", { property: "twitter:image", content: image }), React.createElement("meta", { property: "twitter:image:width", content: "200" }), React.createElement("meta", { property: "twitter:image:height", content: "200" }), React.createElement("meta", { property: "twitter:title", content: title }), React.createElement("meta", { property: "twitter:description", content: description })];
}

function opengraph(title, description, image) {
  return [React.createElement("meta", { property: "og:site_name", content: title }), React.createElement("meta", { property: "og:image", content: image }), React.createElement("meta", { property: "og:locale", content: "en_US" }), React.createElement("meta", { property: "og:title", content: title }), React.createElement("meta", { property: "og:description", content: description })];
}
//# sourceMappingURL=header-util.js.map
