export function twitter(title, description, image, conf) {
  return [
    <meta name="twitter:card" content="summary"/>,
    <meta property="twitter:site" content={conf['twitter:site']}/>,
    <meta property="twitter:creator" content={conf['twitter:creator']}/>,
    <meta property="twitter:image" content={image}/>,
    <meta property="twitter:image:width" content="200"/>,
    <meta property="twitter:image:height" content="200"/>,
    <meta property="twitter:title" content={title}/>,
    <meta property="twitter:description" content={description}/>,
  ]
}

export function opengraph(title, description, image) {
  return [
    <meta property="og:site_name" content={title}/>,
    <meta property="og:image" content={image}/>,
    <meta property="og:locale" content="en_US"/>,
    <meta property="og:title" content={title}/>,
    <meta property="og:description" content={description}/>,
  ]
}
