import {debug} from 'zog'

export function protect(opts) {

  // default: all routes protected
  const urlPattern = opts.urlPattern || /./g

  return async (ctx, next) => {

    if (urlPattern.test(ctx.url)) {
      //if (this.isAuthenticated) { // TODO(vjpr): Fix this.
      if (ctx.session && ctx.session.passport && ctx.session.passport.user) {
        debug('this.session.passport.user', ctx.session.passport.user)
        await next()
      } else {
        ctx.redirect('/login')
      }
    } else {
      await next()
    }
  }

}
