'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Html = undefined;

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDom = require('react-dom');

var _reactDom2 = _interopRequireDefault(_reactDom);

var _serializeJavascript = require('serialize-javascript');

var _serializeJavascript2 = _interopRequireDefault(_serializeJavascript);

var _headerUtil = require('./header-util');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
// Wrapper component containing HTML metadata and boilerplate tags.
// Used in server-side code only to wrap the string output of the
// rendered route component.
//
// The only thing this component doesn't (and can't) include is the
// HTML doctype declaration, which is added to the rendered output
// by the server.js file.
//
//  weak
var Html = exports.Html = function (_Component) {
  (0, _inherits3.default)(Html, _Component);

  function Html() {
    (0, _classCallCheck3.default)(this, Html);
    return (0, _possibleConstructorReturn3.default)(this, (0, _getPrototypeOf2.default)(Html).apply(this, arguments));
  }

  (0, _createClass3.default)(Html, [{
    key: 'js',
    value: function js() {
      return _react2.default.createElement(
        'div',
        null,
        this.props.js.map(function (src, i) {
          return _react2.default.createElement('script', { src: src, key: i, defer: true });
        })
      );
    }
  }, {
    key: 'css',
    value: function css() {
      return this.props.css.map(function (href, i) {
        return _react2.default.createElement('link', {
          href: href,
          key: i,
          media: 'screen, projection',
          rel: 'stylesheet',
          type: 'text/css'
        });
      });
    }
  }, {
    key: 'renderHeader',
    value: function renderHeader(_ref) {
      var title = _ref.title;

      return _react2.default.createElement(
        'head',
        null,
        _react2.default.createElement('meta', { charSet: 'utf-8' }),
        _react2.default.createElement(
          'title',
          null,
          title
        ),
        _react2.default.createElement('link', { rel: 'shortcut icon', href: '/favicon.ico' }),
        this.css()
      );
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props;
      var webpackStats = _props.webpackStats;
      var component = _props.component;
      var store = _props.store;
      var title = _props.title;
      var loadingComponent = _props.loadingComponent;

      var lang = 'en-us';
      var html = _react2.default.createElement(
        'html',
        { lang: lang },
        this.renderHeader({ title: title }),
        _react2.default.createElement(
          'body',
          null,
          _react2.default.createElement(
            'div',
            { id: 'app' },
            _react2.default.createElement('loadingComponent', null)
          ),
          this.js()
        )
      );
      return html;
    }
  }]);
  return Html;
}(_react.Component);
//# sourceMappingURL=html.js.map
