'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AppFrontend = undefined;

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _zog = require('zog');

var _koa = require('koa');

var _koa2 = _interopRequireDefault(_koa);

var _koaRouter = require('koa-router');

var _koaRouter2 = _interopRequireDefault(_koaRouter);

var _bluebird = require('bluebird');

var _configurize = require('configurize');

var _html = require('./html');

var _serverRendering = require('./server-rendering');

var _serverRendering2 = _interopRequireDefault(_serverRendering);

var _renderAppHtml = require('./render-app-html');

var _renderAppHtml2 = _interopRequireDefault(_renderAppHtml);

var _getWebpackAssets = require('./get-webpack-assets');

var _getWebpackAssets2 = _interopRequireDefault(_getWebpackAssets);

var _protect = require('./protect');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//import {hookRequire, reportRequire} from 'require-clock'
//import PrettyError from 'pretty-error'
//const pretty = new PrettyError

//  weak
var AppFrontend = exports.AppFrontend = function () {
  function AppFrontend() {
    (0, _classCallCheck3.default)(this, AppFrontend);
  }

  (0, _createClass3.default)(AppFrontend, [{
    key: 'getApp',
    value: function getApp(rootRoute, store, loadingComponent) {
      var _this = this;

      var app = new _koa2.default();

      // TODO(vjpr): This is not ready.
      //app.use(protect({
      //  urlPattern: /^((?!landing|login|demokit|signup|admin).)*$/gi
      //}))

      app.use(function () {
        var ref = (0, _asyncToGenerator3.default)(_regenerator2.default.mark(function _callee(ctx, next) {
          return _regenerator2.default.wrap(function _callee$(_context) {
            while (1) {
              switch (_context.prev = _context.next) {
                case 0:
                  if (!(ctx.originalUrl == '/')) {
                    _context.next = 4;
                    break;
                  }

                  ctx.redirect('/app');
                  _context.next = 6;
                  break;

                case 4:
                  _context.next = 6;
                  return next();

                case 6:
                case 'end':
                  return _context.stop();
              }
            }
          }, _callee, _this);
        }));
        return function (_x, _x2) {
          return ref.apply(this, arguments);
        };
      }());

      var router = new _koaRouter2.default();

      // TODO(vjpr): Fix.
      router.get(/\/app*|\/login|\/admin|\/signup|\/demokit|\/demo*/, function () {
        var ref = (0, _asyncToGenerator3.default)(_regenerator2.default.mark(function _callee2(ctx, next) {
          var opts, webpackeratorUtils, routes, store, webpackAssets, useServerSideRendering, html;
          return _regenerator2.default.wrap(function _callee2$(_context2) {
            while (1) {
              switch (_context2.prev = _context2.next) {
                case 0:
                  //router.get(/\/app*/, async (ctx, next) => {

                  // TODO(vjpr): Get env from somewhere properly.
                  opts = {
                    env: process.env.NODE_ENV || 'development',
                    watchLivePluginFiles: false
                  };
                  webpackeratorUtils = require('webpackerator/lib/webpack');

                  opts = webpackeratorUtils.parseOpts(opts);

                  // TODO(vjpr): This modifies the file system which dirties the
                  //   cache, causing a rebuild on every request if activated.
                  //const webpackConfig = webpackeratorUtils.getConfig(opts)

                  //config.print()

                  routes = rootRoute;
                  store = store;
                  webpackAssets = (0, _getWebpackAssets2.default)(opts);
                  useServerSideRendering = false;
                  _context2.next = 9;
                  return (0, _renderAppHtml2.default)({
                    isDev: opts.isDev,
                    routes: routes,
                    store: store,
                    webpackAssets: webpackAssets,
                    useServerSideRendering: useServerSideRendering,
                    publicDir: _configurize.config.get('app-frontend.publicDir', '/public'),
                    appTitle: _configurize.config.get('app-frontend.appTitle'),
                    loadingComponent: loadingComponent
                  });

                case 9:
                  html = _context2.sent;

                  ctx.body = html;
                  (0, _zog.debug)('Render frontend complete');

                case 12:
                case 'end':
                  return _context2.stop();
              }
            }
          }, _callee2, _this);
        }));
        return function (_x3, _x4) {
          return ref.apply(this, arguments);
        };
      }());

      app.use(router.routes());

      return app;
    }
  }]);
  return AppFrontend;
}();
//import {protect} from 'app-auth'
//# sourceMappingURL=index.js.map
