'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _spinner = require('./spinner');

var _spinner2 = _interopRequireDefault(_spinner);

var _liveCaller = require('live-caller');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _default = function () {
  function _default() {
    (0, _classCallCheck3.default)(this, _default);
    this.desc = 'Isomorphic web app routes';
    this.services = {
      consume: {
        'live-react-router.rootRoute': { '^1.0.0': 'consumeReactRouterRootRoute' },
        'app-redux.store': { '^1.0.0': 'consumeReduxStore' },
        'app-server.service': { '^1.0.0': 'consumeAppServerService' }
      },
      provide: {
        'live-frontend.service': { '1.0.0': 'provideService' }
      }
    };
  }

  (0, _createClass3.default)(_default, [{
    key: 'provideService',
    value: function provideService() {
      return {};
    }
  }, {
    key: 'consumeReactRouterRootRoute',
    value: function consumeReactRouterRootRoute(routes) {
      this.routes = routes;
    }
  }, {
    key: 'consumeReduxStore',
    value: function consumeReduxStore(store) {
      this.store = store;
    }
  }, {
    key: 'consumeAppServerService',
    value: function consumeAppServerService(service) {
      service.addMiddleware(this.constructor.getRoute());
    }
  }], [{
    key: 'getRoute',
    value: function getRoute() {
      var _this = this;

      var mount = require('koa-mount-hot');
      var loadingComponent = _spinner2.default;
      var opts = {
        path: require.resolve('./index'),
        require: function (_require) {
          function require(_x) {
            return _require.apply(this, arguments);
          }

          require.toString = function () {
            return _require.toString();
          };

          return require;
        }(function (req) {
          var mod = new (require(req).AppFrontend)();
          return mod.getApp(_this.routes, _this.store, loadingComponent);
        })
      };
      var mw = mount('/', opts);
      mw._name = 'live-frontend /';
      return mw;
    }
  }]);
  return _default;
}();

exports.default = _default;
module.exports = exports['default'];
//# sourceMappingURL=live.js.map
