'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

exports.protect = protect;

var _zog = require('zog');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function protect(opts) {
  var _this = this;

  // default: all routes protected
  var urlPattern = opts.urlPattern || /./g;

  return function () {
    var ref = (0, _asyncToGenerator3.default)(_regenerator2.default.mark(function _callee(ctx, next) {
      return _regenerator2.default.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              if (!urlPattern.test(ctx.url)) {
                _context.next = 10;
                break;
              }

              if (!(ctx.session && ctx.session.passport && ctx.session.passport.user)) {
                _context.next = 7;
                break;
              }

              (0, _zog.debug)('this.session.passport.user', ctx.session.passport.user);
              _context.next = 5;
              return next();

            case 5:
              _context.next = 8;
              break;

            case 7:
              ctx.redirect('/login');

            case 8:
              _context.next = 12;
              break;

            case 10:
              _context.next = 12;
              return next();

            case 12:
            case 'end':
              return _context.stop();
          }
        }
      }, _callee, _this);
    }));
    return function (_x, _x2) {
      return ref.apply(this, arguments);
    };
  }();
}
//# sourceMappingURL=protect.js.map
